# Draw
TKTopTest
HLRTest

# HLRTest_DrawablePolyEdgeTool Class Reference

`#include <HLRTest_DrawablePolyEdgeTool.hxx>`

Inheritance diagram for HLRTest_DrawablePolyEdgeTool:

[legend]

## Public Member Functions

Standard_EXPORT | HLRTest_DrawablePolyEdgeTool (const Handle(HLRBRep_PolyAlgo)&Alg, const Standard_Integer ViewId, const Standard_Boolean Debug=Standard_False)
void | Show ()
void | Hide ()
void | DisplayRg1Line (const Standard_Boolean B)
Standard_Boolean | DisplayRg1Line () const
void | DisplayRgNLine (const Standard_Boolean B)
Standard_Boolean | DisplayRgNLine () const
void | DisplayHidden (const Standard_Boolean B)
Standard_Boolean | DisplayHidden () const
Standard_EXPORT void | DrawOn (Draw_Display &D) const
Standard_Boolean | Debug () const
void | Debug (const Standard_Boolean B)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_HLRBRep_PolyAlgo | myAlgo
Standard_Boolean | myDispRg1
Standard_Boolean | myDispRgN
Standard_Boolean | myDispHid
Standard_Integer | myViewId
HLRBRep_ListOfBPoint | myBiPntVis
HLRBRep_ListOfBPoint | myBiPntHid
Standard_Boolean | myDebug
Standard_Boolean | myHideMode

## Constructor & Destructor Documentation

Standard_EXPORT HLRTest_DrawablePolyEdgeTool::HLRTest_DrawablePolyEdgeTool | ( | const Handle(HLRBRep_PolyAlgo)& | Alg,
|  | const Standard_Integer | ViewId,
|  | const Standard_Boolean | Debug = `Standard_False`
| ) |

## Member Function Documentation

void HLRTest_DrawablePolyEdgeTool::Debug | ( | const Standard_Boolean | B | ) | `[inline]`

Standard_Boolean HLRTest_DrawablePolyEdgeTool::Debug | ( |  | ) | const`[inline]`

Standard_Boolean HLRTest_DrawablePolyEdgeTool::DisplayHidden | ( |  | ) | const`[inline]`

void HLRTest_DrawablePolyEdgeTool::DisplayHidden | ( | const Standard_Boolean | B | ) | `[inline]`

Standard_Boolean HLRTest_DrawablePolyEdgeTool::DisplayRg1Line | ( |  | ) | const`[inline]`

void HLRTest_DrawablePolyEdgeTool::DisplayRg1Line | ( | const Standard_Boolean | B | ) | `[inline]`

Standard_Boolean HLRTest_DrawablePolyEdgeTool::DisplayRgNLine | ( |  | ) | const`[inline]`

void HLRTest_DrawablePolyEdgeTool::DisplayRgNLine | ( | const Standard_Boolean | B | ) | `[inline]`

Standard_EXPORT void HLRTest_DrawablePolyEdgeTool::DrawOn | ( | Draw_Display & | D | ) | const`[virtual]`

| Implements Draw_Drawable3D.

Standard_EXPORT const HLRTest_DrawablePolyEdgeTool::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from Draw_Drawable3D.

void HLRTest_DrawablePolyEdgeTool::Hide | ( |  | ) | `[inline]`

void HLRTest_DrawablePolyEdgeTool::Show | ( |  | ) | `[inline]`

## Field Documentation

Handle_HLRBRep_PolyAlgo HLRTest_DrawablePolyEdgeTool::myAlgo `[private]`

HLRBRep_ListOfBPoint HLRTest_DrawablePolyEdgeTool::myBiPntHid `[private]`

HLRBRep_ListOfBPoint HLRTest_DrawablePolyEdgeTool::myBiPntVis `[private]`

Standard_Boolean HLRTest_DrawablePolyEdgeTool::myDebug `[private]`

Standard_Boolean HLRTest_DrawablePolyEdgeTool::myDispHid `[private]`

Standard_Boolean HLRTest_DrawablePolyEdgeTool::myDispRg1 `[private]`

Standard_Boolean HLRTest_DrawablePolyEdgeTool::myDispRgN `[private]`

Standard_Boolean HLRTest_DrawablePolyEdgeTool::myHideMode `[private]`

Standard_Integer HLRTest_DrawablePolyEdgeTool::myViewId `[private]`

The documentation for this class was generated from the following files:

- HLRTest_DrawablePolyEdgeTool.hxx
- HLRTest_DrawablePolyEdgeTool.lxx